summaryrefslogtreecommitdiffstats
path: root/deps/qt5-gstreamer/qt5-gstreamer.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 15:23:54 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 15:23:54 +0100
commitb1b35d20ce6b70330b23a9d056dcb44b58795bd6 (patch)
treed393ca76dae97b64e8de58184a15f60ca1a7412a /deps/qt5-gstreamer/qt5-gstreamer.SlackBuild
parentf0e6e91722ec10bf7aa6a4bf53d1aedd8aee4c74 (diff)
downloadktown-b1b35d20ce6b70330b23a9d056dcb44b58795bd6.tar.gz
ktown-b1b35d20ce6b70330b23a9d056dcb44b58795bd6.tar.xz
KDE 5 for Slackware current (post-14.1) (16sep2014)5
The KDE 5 Software Compilation no longer exists as such. The components are now: - Frameworks 5.2.0 - Plasma 5.0.2 These packages need to be installed on top of the most recent KDE 4.14.x because Applications tarballs which build on top of Frameworks and Plasma have not yet been released.
Diffstat (limited to '')
-rwxr-xr-xdeps/qt5-gstreamer/qt5-gstreamer.SlackBuild (renamed from deps/qt-gstreamer1/qt-gstreamer1.SlackBuild)46
1 files changed, 23 insertions, 23 deletions
diff --git a/deps/qt-gstreamer1/qt-gstreamer1.SlackBuild b/deps/qt5-gstreamer/qt5-gstreamer.SlackBuild
index 7294f83..12be5a4 100755
--- a/deps/qt-gstreamer1/qt-gstreamer1.SlackBuild
+++ b/deps/qt5-gstreamer/qt5-gstreamer.SlackBuild
@@ -22,9 +22,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=qt-gstreamer1
+PKGNAM=qt5-gstreamer
SRCNAM=qt-gstreamer
-VERSION=${VERSION:-1.2.0}
+VERSION=${VERSION:-0.10.3}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
@@ -60,7 +60,7 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PKGNAM
+PKG=$TMP/package-$SRCNAM
rm -rf $PKG
mkdir -p $TMP $PKG
@@ -75,37 +75,37 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-mkdir -p build
-cd build
+# Eventually, we need to merge qt5-gstreamer into the qt-gstreamer package.
+# When that happens, simply un-comment the section below and rename the package
+# to qt-gstreamer. It will then have both qt4 and qt5 support.
+#mkdir -p build
+#cd build
+# cmake \
+# -DCMAKE_BUILD_TYPE=Release \
+# -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+# -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+# -DCMAKE_INSTALL_PREFIX=/usr \
+# -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+# -DQT_VERSION=4 \
+# ..
+# make $NUMJOBS || make || exit 1
+# make install DESTDIR=$PKG || exit 1
+#cd -
+
+mkdir -p build-qt5
+cd build-qt5
cmake \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DQT_VERSION=4 \
+ -DQT_VERSION=5 \
..
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -
-# Conditional build of Qt5 support:
-if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
- mkdir -p build-qt5
- cd build-qt5
- cmake \
- -DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DQT_VERSION=5 \
- ..
- make $NUMJOBS || make || exit 1
- make install DESTDIR=$PKG || exit 1
- cd -
-fi
-
if [ -d $PKG/usr/man ]; then
gzip -9 $PKG/usr/man/man?/*
fi